%define ver_major 0.7

%def_enable hal
%def_enable devkit_power
%def_enable libxml2
%def_enable gdkpixbuf
# video_extractor may be gstreamer or xine, or external video player
%define video_extractor gstreamer
%def_disable unac
%def_enable deskbar_applet
%def_enable libtrackergtk
%def_enable tracker_status_icon
%def_enable tracker_explorer
%def_enable tracker_search_bar
%def_enable tracker_search_tool
%def_enable poppler_glib
%def_enable libexif
%def_enable libiptcdata
%def_enable libgsf
%def_enable libjpeg
%def_enable libtiff
%def_enable libvorbis
%def_enable exempi
%def_enable playlist
%def_enable evolution
%def_enable gtk_doc

%define _libexecdir %_prefix/libexec

Name: tracker
Version: %ver_major.2
Release: alt1

Summary: Tracker is a powerfull desktop-oriented search tool and indexer
License: GPLv2+
Group: Office
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>
Url: http://projects.gnome.org/tracker/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar
Patch0: %name-%version-%release.patch

Requires: lib%name-client = %version-%release

%define dbus_ver 1.0
%define dbus_glib_ver 0.78
%define glib_ver 2.16.0
%define pango_ver 1.0.0
%define gtk_ver 2.16.0
%define libxml2_ver 2.6
%define libnotify_ver 0.4.3
%define hal_ver 0.5
%define devkit_power_ver 007
%define unac_ver 1.0.0
%define poppler_glib_ver 0.4.5
%define cairo_ver 1.0
%define vorbis_ver 0.22
%define libexif_ver 0.6
%define libgfs_ver 1.13
%define exempi_ver 1.99.2
%define evo_ver 2.25.5
%define eds_ver 2.25.5
%define gee_ver 0.3
%define sqlite3 3.6.11


BuildPreReq: gcc-c++ gnome-common rpm-build-gnome gtk-doc docbook-utils
BuildPreReq: glibc-devel
BuildPreReq: libdbus-devel >= %dbus_ver
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgio-devel >= %glib_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
%{?_enable_hal:BuildPreReq: libhal-devel >= %hal_ver}
%{?_enable_devkit_power:BuildPreReq: libdevkit-power-devel >= %devkit_power_ver}
%{?_enable_libxml2:BuildPreReq: libxml2-devel >= %libxml2_ver}
BuildPreReq: libpng-devel >= 1.2
BuildPreReq: libGConf-devel >= 2.2.0
BuildPreReq: libuuid-devel
BuildPreReq: libenca-devel >= 1.9
BuildPreReq: vala >= 0.7.6
BuildPreReq: intltool >= 0.35.0
BuildPreReq: sqlite3 libsqlite3-devel >= %sqlite3
%if %video_extractor == gstreamer
BuildRequires: gstreamer-devel >= 0.10.12 gst-plugins-devel >= 0.10.12
%else
BuildRequires: libxine-devel >= 1.0
%endif
%{?_enable_unac:BuildPreReq: libunac-devel >= %unac_ver}
%{?_enable_deskbar_applet:BuildPreReq: python-module-pygnome-deskbar-applet-devel >= 2.16}
%{?_enable_tracker_status_icon:BuildPreReq: libnotify-devel >= %libnotify_ver}
%{?_enable_tracker_explorer:BuildPreReq: libgee-devel >= %gee_ver}
%{?_enable_tracker_search_bar:BuildPreReq: libgnome-panel-devel}
%{?_enable_tracker_search_tool:BuildPreReq: libgee-devel >= %gee_ver}
%{?_enable_poppler_glib:BuildPreReq: libpoppler-glib-devel >= %poppler_glib_ver libcairo-devel >= %cairo_ver}
%{?_enable_libexif:BuildPreReq: libexif-devel >= %libexif_ver}
%{?_enable_libiptcdata:BuildPreReq: libiptcdata-devel}
%{?_enable_libgsf:BuildPreReq: libgsf-devel >= %libgfs_ver}
%{?_enable_libjpeg:BuildPreReq: libjpeg-devel}
%{?_enable_libtiff:BuildPreReq: libtiff-devel}
%{?_enable_libvorbis:BuildPreReq: libvorbis-devel >= %vorbis_ver}
%{?_enable_exempi:BuildPreReq: libexempi-devel >= %exempi_ver}
%{?_enable_playlist:BuildPreReq: libtotem-pl-parser-devel}
%{?_enable_evolution:BuildPreReq: evolution-devel >= %evo_ver evolution-data-server-devel >= %eds_ver}

%description
Tracker is a powerful desktop-neutral first class object
database, tag/metadata database, search tool and indexer.

%package devel
Summary: Headers for developing programs that will use %name-miner
Group: Development/Other
Requires: %name = %version-%release
Requires: lib%name-client-devel = %version-%release
License: LGPLv2.1+

%description devel
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains header files for development  and link applications with libtracker-miner.

%package -n lib%name-client
Summary: Tracker is a powerfull desktop-oriented search tool and indexer - library
Group: System/Libraries
License: LGPLv2.1+

%description -n lib%name-client
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains the library that is used by applications to access
the Tracker daemon.

%package -n lib%name-client-devel
Summary: Headers for developing programs that will use %name-client
Group: Development/Other
Requires: lib%name-client = %version-%release
License: LGPLv2.1+

%description -n lib%name-client-devel
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains header files for development  and link applications with libtracker-client.

%package -n lib%name-gtk
Summary: GTK+ widgets for apps that use tracker
Group: System/Libraries
License: LGPLv2.1+
Requires: lib%name-client = %version-%release

%description -n lib%name-gtk
Tracker is a powerfull desktop-oriented search tool and indexer.
This library provides handy GTK+ widgets which allows applications to
easily make use of tracker.

%package -n lib%name-gtk-devel
Summary: GTK+ widgets for apps that use tracker
Group: Development/Other
License: LGPLv2.1+
Requires: lib%name-gtk = %version-%release
Requires: lib%name-client-devel = %version-%release

%description -n lib%name-gtk-devel
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains header files for development  and link applications with libtracker-gtk.

%package -n gnome-applets-extra-deskbar-%name
Summary: Tracker GNOME search applet for deskbar
Group: Graphical desktop/GNOME
Provides: deskbar-applet-%name
Requires: gnome-applets-extra-deskbar
Requires: %name = %version-%release

%description -n gnome-applets-extra-deskbar-%name
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains tracker GNOME search applet for deskbar.

%package -n gnome-applets-extra-%name
Summary: Tracker GNOME search applet
Group: Graphical desktop/GNOME
Requires: %name = %version-%release
Provides: %name-search-bar

%description -n gnome-applets-extra-%name
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains tracker GNOME search applet.

%package search-tool
Summary: Tracker search tool(s)
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description search-tool
Graphical frontend to tracker search facilities.

%package explorer
Summary: Tracker explorer
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description explorer
Graphical frontend for explorer to tracker search facilities.

%package utils
Summary: Commandline tools for Tracker
Group: Office
Requires: %name = %version-%release

%description utils
Included utilities for Tracker:
  * tracker-import: imports turtle file data into the database.
  * tracker-info: retrieve all information available for a certain file.
  * tracker-processes: manage Tracker processes and data.
  * tracker-search: this perfoms a google like search using SEARCHTERM to
    retrieve all matching files where SEARCHTERM appears in any searchable
    metadata.
  * tracker-stats: retreive some statistics.
  * tracker-status: report the trackerd status.
  * tracker-sparql: allows  the caller to run an RDF query on the database.
  * tracker-tag: tool to manage tags on files.

%package plugin-evolution
Summary: Tracker plugin for Evolution
Group: Office
Requires: %name = %version-%release
Provides: evolution-%name

%description plugin-evolution
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains plugin for Evolution.

%package plugin-kmail
Summary: Tracker plugin for KMail
Group: Office
Requires: %name = %version-%release
Provides: kmail-%name-plugin
Provides: kdepim-kmail-%name
Provides: kde4pim-kmail-%name

%description plugin-kmail
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains plugin for KMail.

%package status-icon
Summary: Applet for control and monitor the Tracker service
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description status-icon
Tracker is a powerfull desktop-oriented search tool and indexer.
This package contains applet for control and monitor the Tracker search and indexing service.

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure \
	--disable-static \
	%{subst_enable hal} \
	%{!?_enable_devkit_power:--disable-devkit-power} \
	%{subst_enable libxml2} \
	%{subst_enable gdkpixbuf} \
	--enable-video-extractor=%video_extractor \
	%{subst_enable unac} \
	--enable-evolution-push-module \
	--enable-kmail-push-module \
	%{?_enable_deskbar_applet:--enable-deskbar-applet} \
	%{subst_enable libtrackergtk} \
	%{?_enable_tracker_status_icon:--enable-tracker-status-icon} \
	%{?_enable_tracker_explorer:--enable-tracker-explorer} \
	%{?_enable_tracker_search_bar:--enable-tracker-search-bar} \
	%{?_enable_tracker_search_tool:--enable-tracker-search-tool} \
	%{?_enable_tracker_preferences:--enable-tracker-preferences} \
	%{?_enable_poppler_glib:--enable-poppler-glib} \
	%{subst_enable libexif} \
	%{subst_enable libiptcdata} \
	%{subst_enable libgsf} \
	%{subst_enable libjpeg} \
	%{subst_enable libtiff} \
	%{subst_enable libvorbis} \
	%{subst_enable exempi} \
	%{subst_enable playlist} \
	%{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make DESTDIR=%buildroot install

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%config(noreplace) %_sysconfdir/xdg/autostart/*
%exclude %_sysconfdir/xdg/autostart/tracker-status-icon.desktop

%dir %_libdir/%name-%ver_major
%_libdir/%name-%ver_major/*.so.*
%_libdir/%name-%ver_major/extract-modules

%_libexecdir/*
%exclude %_libexecdir/tracker-search-bar

%_datadir/dbus-1/services/*.service
%_man5dir/*
%_man1dir/tracker-miner-fs.1.gz

%dir %_datadir/%name
%_datadir/%name/*.xml
%exclude %_datadir/%name/GNOME_Search_Bar_Applet.xml
%_datadir/%name/*.sql
%_datadir/%name/languages
%_datadir/%name/miners
%_datadir/%name/ontologies

%files utils
%_bindir/tracker-import
%_bindir/tracker-info
%_bindir/tracker-processes
%_bindir/tracker-search
%_bindir/tracker-sparql
%_bindir/tracker-stats
%_bindir/tracker-status
%_bindir/tracker-tag
%_man1dir/tracker-import.1.gz
%_man1dir/tracker-info.1.gz
%_man1dir/tracker-processes.1.gz
%_man1dir/tracker-search.1.gz
%_man1dir/tracker-sparql.1.gz
%_man1dir/tracker-stats.1.gz
%_man1dir/tracker-status.1.gz
%_man1dir/tracker-store.1.gz
%_man1dir/tracker-tag.1.gz

%files search-tool
%_bindir/tracker-search-tool
%_bindir/tracker-preferences
%_datadir/applications/*.desktop
%_datadir/icons/*/*/apps/tracker.*
%_datadir/%name/icons/thumbnail_frame.png
%_datadir/%name/tracker-preferences.ui
%_datadir/%name/tst.ui
%_man1dir/tracker-search-tool.1.gz
%_man1dir/tracker-preferences.1.gz

%files explorer
%_bindir/tracker-explorer
%_datadir/%name/explorer.ui

%files devel
%_libdir/%name-%ver_major/*.so
%_libdir/pkgconfig/tracker-miner*.pc
%_includedir/%name-%ver_major/libtracker-miner
%_includedir/%name-%ver_major/libtracker-common
%_datadir/gtk-doc/html/*

%files -n lib%name-client
%doc src/libtracker-common/COPYING.LIB
%_libdir/libtracker-client*.so.*

%files -n lib%name-client-devel
%_libdir/pkgconfig/tracker-client*.pc
%_libdir/libtracker-client*.so
%_includedir/%name-%ver_major/libtracker-client

%if_enabled libtrackergtk
%files -n lib%name-gtk
%_libdir/libtracker-gtk*.so.*

%files -n lib%name-gtk-devel
%_libdir/pkgconfig/tracker-gtk*.pc
%_libdir/libtracker-gtk*.so
%_includedir/%name-%ver_major/libtracker-gtk
%endif

%if_enabled evolution
%files plugin-evolution
%_libdir/evolution/*/plugins/*
%endif

%files plugin-kmail
%_libdir/%name-%ver_major/push-modules/daemon/libtracker-module_kmail-daemon-module.so

%if_enabled deskbar_applet
%files -n gnome-applets-extra-deskbar-%name
%_libdir/deskbar-applet/modules-2.20-compatible/*
%endif

%if_enabled tracker_search_bar
%files -n gnome-applets-extra-%name
%_libexecdir/tracker-search-bar
%_datadir/%name/GNOME_Search_Bar_Applet.xml
%_datadir/%name/tracker-search-bar.ui
%_libdir/bonobo/servers/GNOME_Search_Bar_Applet.server
%_man1dir/tracker-search-bar.1.gz

%endif

%if_enabled tracker_status_icon
%files status-icon
%_bindir/tracker-status-icon
%config(noreplace) %_sysconfdir/xdg/autostart/tracker-status-icon.desktop
%_datadir/%name/icons/tracker-applet*
%_man1dir/tracker-status-icon.1.gz
%endif

%changelog
* Fri Oct 09 2009 Alexey Shabalin <shaba@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Fri Oct 02 2009 Alexey Shabalin <shaba@altlinux.ru> 0.7.1-alt1
- 0.7.1

* Tue Sep 29 2009 Alexey Shabalin <shaba@altlinux.ru> 0.7.0-alt1
- 0.7.0
- revoke from orphaned
- rewrite spec

* Tue Oct 07 2008 Alex Karpov <karpov@altlinux.ru> 0.6.6-alt1.3
- removed gnome-libs-devel from build requirements
    + spec cleanup

* Mon May 26 2008 Alex Karpov <karpov@altlinux.ru> 0.6.6-alt1.2
- rebuild with new gstreamer

* Mon Apr 07 2008 Alex Karpov <karpov@altlinux.ru> 0.6.6-alt1.1
- added update_menus

* Wed Mar 19 2008 Alex Karpov <karpov@altlinux.ru> 0.6.6-alt1
- 0.6.6 

* Tue Jan 29 2008 Alex Karpov <karpov@altlinux.ru> 0.6.4-alt1.1
- updated %files section for correct libtracker-devel content

* Tue Dec 11 2007 Alex Karpov <karpov@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Sat Oct 13 2007 Alex Karpov <karpov@altlinux.ru> 0.6.3-alt1.1
- rebuild with poppler-0.6

* Wed Sep 26 2007 Alex Karpov <karpov@altlinux.ru> 0.6.3-alt1
- 0.6.3 

* Wed Sep 05 2007 Alex Karpov <karpov@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Wed Sep 05 2007 Alex Karpov <karpov@altlinux.ru> 0.6.1-alt1
- new version

* Tue Jul 31 2007 Alex Karpov <karpov@altlinux.ru> 0.6.0-alt0.1
- initial build

